JGroupsBroadcastEndpoint.JChannelManager (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.api.core

## Class JGroupsBroadcastEndpoint.JChannelManager

- java.lang.Object
- - org.apache.activemq.artemis.api.core.JGroupsBroadcastEndpoint.JChannelManager

- Enclosing class:
    JGroupsBroadcastEndpoint

      protected static class JGroupsBroadcastEndpoint.JChannelManager
      extends Object

  This class maintain a global Map of JChannels wrapped in JChannelWrapper for the purpose of reference counting. Wherever a JChannel is needed it should only get it by calling the getChannel() method of this class. The real disconnect of channels are also done here only.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JChannelManager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `closeChannel(String channelName, org.jgroups.JChannel channel)`
    `static JGroupsBroadcastEndpoint.JChannelWrapper` | `getJChannel(String channelName, JGroupsBroadcastEndpoint endpoint)`
    `static void` | `removeChannel(String channelName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JChannelManager

          protected JChannelManager()

  - ### Method Detail

    - #### getJChannel

          public static JGroupsBroadcastEndpoint.JChannelWrapper getJChannel(String channelName,
                                                                             JGroupsBroadcastEndpoint endpoint)
                                                                      throws Exception

      Throws:
        `Exception`

    - #### closeChannel

          public static void closeChannel(String channelName,
                                          org.jgroups.JChannel channel)

    - #### removeChannel

          public static void removeChannel(String channelName)

Copyright © 2015. All rights reserved.